<template lang="pug">
  #app
    b-navbar.custom-nav(toggleable='md')
      n-link.navbar-brand(to='/')
      b-navbar-nav.ml-auto.d-flex
        b-nav-item(v-if="!isLoggedIn")
          div.d-flex.align-items-center
            Signin
        b-nav-item-dropdown.login-info(v-else,right)
          template(v-slot:button-content)
              img.img-fluid(:src="stateUser.photoURL")
              span {{stateUser.displayName}}
          b-dropdown-item(@click="logout") Logout
    b-modal(id="login-modal" :visible="!isLoggedIn" centered hide-footer=true hide-header=true :hide-header-close="true" :no-close-on-backdrop="true" no-close-on-esc=true)
      .row
        .col-md-12.text-center.mb-2
          h4 Please login before played.
        .col-md-12.d-flex.justify-content-center
          Signin
    nuxt(v-if="isLoggedIn")
</template>
<script lang="ts">
import Vue from 'vue'
import Signin from "~/components/Signin.vue"
import { AUTH_LOGOUT } from "@/store/actions/auth";

import { mapGetters } from "vuex";
export default Vue.extend({
  components:{
    Signin
  },
  methods:{
     logout() {
      this.$store
        .dispatch(AUTH_LOGOUT)
        .then(data => {
          this.$router.push({ path: "/" });
          console.log(data);
        })
        .catch(err => {
          console.log(err);
        });
    },
    checkAdminState() {
      return this.isLoggedIn && this.stateUser.isAdmin ? true : false;
    }
  },
  computed: {
    ...mapGetters(["isLoggedIn", "stateUser"])
  },
  mounted() {
    this.logout()  
    // this.$bvModal.show("login-modal");
  }
})
</script>
<style lang="scss" scoped>
  button.btn.btn-default.google {
      width: 100% !important;
      margin-left: 0px !important;
  }
</style>